@extends('voyager::master')

@section('page_title', 'Cambiar precios')

@section('page_header')
    <h1 class="page-title">
        <i class="voyager-wallet"></i> Cambio masivo de precios
    </h1>
@stop

@section('content')
    <div class="page-content container-fluid">
        @include('voyager::alerts')
        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}
            </div>
        @endif
        <form action="{{ route('admin.schedule-price-update') }}" method="POST">
            @csrf
            <div class="row">
                <div class="col-md-6">
                    <h4>Seleccione Categorías:</h4>
                    <ul class="list-group">
                        @foreach ($familias as $familia)
                            <div id="{{ $familia->id }}">
                                <li class="list-group-item">
                                    <input type="checkbox" name="familias[]" value="{{ $familia->id }}">
                                    {{ $familia->nombre }}
                                    <ul>
                                        @foreach ($familia->categorias as $categoria)
                                            <li>
                                                <input type="checkbox" name="categorias[]" value="{{ $categoria->id }}">
                                                {{ $categoria->name }}
                                            </li>
                                        @endforeach
                                    </ul>
                                </li>
                            </div>
                        @endforeach
                    </ul>
                </div>
                <div class="col-md-6">
                    <div class="">
                        <h4>Cambiar precio de todos los productos:</h4>
                        <div class="form-group">
                            <input type="checkbox" id="change-all" name="change_all">
                            <label for="change-all">Cambiar todos los productos</label>
                        </div>
                    </div>
                    <div>
                        <h4>Ingrese el porcentaje de aumento:</h4>
                        <div class="form-group">
                            <input type="number" name="percentage" class="form-control"
                                placeholder="Porcentaje de aumento" required>
                        </div>
                    </div>
                    <div>
                        <h4>Programar actualización de precios:</h4>
                        <div class="form-group">
                            <input type="datetime-local" name="scheduled_at" class="form-control" required>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary">Programar aumento</button>
                </div>
            </div>
        </form>
    </div>
@stop

@section('javascript')
    <script>
        $(document).ready(function() {
            // Handle family checkbox clicks
            $('input[name="familias[]"]').on('click', function() {
                var familyId = $(this).val(); // Get the family ID
                var familyCheckbox = $(this); // Get the clicked family checkbox

                // Toggle category checkboxes within the corresponding family
                $('#' + familyId + ' ul input[name="categorias[]"]').prop('checked', familyCheckbox.prop(
                    'checked'));
            });
        });
    </script>
@stop
