@extends('voyager::master')

@section('page_title', 'Listado de Carritos Activos')

@section('page_header')
    <h1 class="page-title">
        <i class="voyager-basket"></i> Listado de Carritos Activos
    </h1>
@stop

@section('content')
    <div class="page-content container-fluid">
        @include('voyager::alerts')
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-bordered">
                    <div class="panel-body">
                        <table class="table table-hover">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Usuario</th>
                                    <th>Fecha de Creación</th>
                                    <th>Acciones</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($activeCarts as $cart)
                                    <tr>
                                        <td>{{ $cart->id }}</td>
                                        <td>{{ $cart->user->name }}</td>
                                        <td>{{ $cart->created_at->format('d / M / Y') }}</td>
                                        <td>
                                            <a href="/admin/carritos-activos/{{$cart->id}}" class="btn btn-primary btn-sm">
                                                <i class="voyager-eye"></i> Ver Detalles
                                            </a>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop
