@extends('voyager::master')

@section('page_title', 'Detalles del Carrito')

@section('page_header')
    <h1 class="page-title">
        <i class="voyager-basket"></i> Detalles del Carrito
    </h1>
    <a href="/admin/carritos-activos" class="btn btn-warning">
        <i class="voyager-angle-left"></i> Volver al Listado de Carritos
    </a>
@stop

@section('content')
    <div class="page-content container-fluid">
        @include('voyager::alerts')
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-bordered">
                    <div class="panel-heading">
                        <h3 class="panel-title">Carrito ID: {{ $cart->id }}</h3>
                    </div>
                    <div class="panel-body">
                        <p><strong>Usuario:</strong> {{ $cart->user->name }}</p>
                        <p><strong>Fecha de Creación:</strong> {{ $cart->created_at->format('d / M / Y') }}</p>
                        <h4>Productos en el Carrito:</h4>
                        @if ($cart->products->isEmpty())
                            <p>No hay productos en este carrito.</p>
                        @else
                            <table class="table table-hover">
                                <thead>
                                    <tr>
                                        <th>Producto</th>
                                        <th>Cantidad</th>
                                        <th>Precio</th>
                                        <th>Total</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($cart->products as $product)
                                        <?php //dd($product);
                                        ?>
                                        <tr>
                                            <td>{{ $product->articulo }}</td>
                                            <td>{{ $product->pivot->quantity }}</td>
                                            <td>{{ $product->lista_precios_1 }}</td>
                                            <td>{{ $product->lista_precios_1 * $product->pivot->quantity }}</td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop
