@extends('voyager::master')

@section('page_title', $category->exists ? 'Editar Categoría' : 'Crear Nueva Categoría')

@section('page_header')
    <h1 class="page-title">
        <i class="voyager-{{ $category->exists ? 'edit' : 'plus' }}"></i>
        {{ $category->exists ? 'Editar Categoría' : 'Crear Nueva Categoría' }}
    </h1>
@stop

@section('content')
    <div class="page-content container-fluid">
        @include('voyager::alerts')
        <form method="POST" action="/admin/categories/{{$category->id}}">
            @csrf
            @if ($category->exists)
                @method('PUT')
            @endif
            <input type="hidden" name="familia_id" value="{{ $category->familia_id ?? $familia->id }}">
            <div class="form-group">
                <label for="name">Nombre</label>
                <input type="text" name="name" class="form-control" value="{{ $category->name ?? '' }}" required>
            </div>
            {{-- <div class="form-group">
                <label for="slug">Slug</label>
                <input type="text" name="slug" class="form-control" value="{{ $category->slug ?? '' }}" required>
            </div> --}}
            <button type="submit" class="btn btn-primary">Guardar</button>
        </form>
    </div>
@stop
