@extends('voyager::master')

@section('page_title', 'Listar Clientes')

@section('page_header')
    <h1 class="page-title">
        <i class="voyager-people"></i> Listar Clientes
    </h1>
@stop

@section('content')
    <div class="page-content container-fluid">
        @include('voyager::alerts')
        <div class="row">
            <div class="col-md-12">
                <h4>Clientes Registrados:</h4>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Razón Social</th>
                            <th>Nombre de Fantasía</th>
                            <th>Email</th>
                            <th>Teléfono</th>
                            <th>Localidad</th>
                            <th>Transporte</th>
                            <th>Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($clientes as $cliente)
                            <tr>
                                <td>{{ $cliente->id }}</td>
                                <td>{{ $cliente->razon_social }}</td>
                                <td>{{ $cliente->fantasia_name }}</td>
                                <td>{{ $cliente->email }}</td>
                                <td>{{ $cliente->telefono }}</td>
                                <td>{{ $cliente->localidad }}</td>
                                <td>
                                    <?php
                                    $transporte = DB::table('transportes')
                                        ->where('id', $cliente->transporte)
                                        ->first();
                                    $transporteName = $transporte ? $transporte->nombre : '';
                                    ?>
                                    {{ $transporteName }}
                                </td>
                                <td>
                                    <!-- Aquí puedes añadir botones para editar o eliminar -->
                                    <a href="{{ route('voyager.users.edit', $cliente->id) }}"
                                        class="btn btn-primary btn-sm">Editar</a>
                                    <form action="{{ route('voyager.users.destroy', $cliente->id) }}" method="POST"
                                        style="display:inline-block">
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-danger btn-sm">Eliminar</button>
                                    </form>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
                {{ $clientes->links() }} <!-- Paginación -->
            </div>
        </div>
    </div>
@stop

@section('javascript')
    <script>
        $(document).ready(function() {
            // Manejar cualquier script adicional necesario
        });
    </script>
@stop
