<nav class="navbar navbar-default navbar-fixed-top navbar-top">
    <div class="container-fluid">
        <div class="navbar-header">
            <div>
                <a href="/admin">
                    @if (Voyager::setting('site.logo') == '')
                        <img src="{{ voyager_asset('images/logo-icon-light.png') }}" alt="Logo Icon">
                    @else
                        <img src="/storage/{{ Voyager::setting('site.logo') }}" alt="Logo Icon">
                    @endif
                </a>
            </div>
        </div>
        <ul class="nav navbar-nav @if (__('voyager::generic.is_rtl') == 'true') navbar-left @else navbar-right @endif">
            <li class="dropdown profile">
                <a href="#" class="dropdown-toggle text-right" data-toggle="dropdown" role="button"
                    aria-expanded="false">
                    <img src="{{ $user_avatar }}" class="profile-img"> <span class="caret"></span>
                </a>
                <ul class="dropdown-menu dropdown-menu-animated">
                    <li class="profile-img">
                        <img src="{{ $user_avatar }}" class="profile-img">
                        <div class="profile-body">
                            <h5>{{ Auth::user()->name }}</h5>
                            <h6>{{ Auth::user()->email }}</h6>
                        </div>
                    </li>
                    <li class="divider"></li>
                    <?php $nav_items = config('voyager.dashboard.navbar_items'); ?>
                    @if (is_array($nav_items) && !empty($nav_items))
                        @foreach ($nav_items as $name => $item)
                            <li {!! isset($item['classes']) && !empty($item['classes']) ? 'class="' . $item['classes'] . '"' : '' !!}>
                                @if (isset($item['route']) && $item['route'] == 'voyager.logout')
                                    <form action="{{ route('voyager.logout') }}" method="POST">
                                        {{ csrf_field() }}
                                        <button type="submit" class="btn btn-danger btn-block">
                                            @if (isset($item['icon_class']) && !empty($item['icon_class']))
                                                <i class="{!! $item['icon_class'] !!}"></i>
                                            @endif
                                            {{ __($name) }}
                                        </button>
                                    </form>
                                @else
                                    <a href="{{ isset($item['route']) && Route::has($item['route']) ? route($item['route']) : (isset($item['route']) ? $item['route'] : '#') }}"
                                        {!! isset($item['target_blank']) && $item['target_blank'] ? 'target="_blank"' : '' !!}>
                                        @if (isset($item['icon_class']) && !empty($item['icon_class']))
                                            <i class="{!! $item['icon_class'] !!}"></i>
                                        @endif
                                        {{ __($name) }}
                                    </a>
                                @endif
                            </li>
                        @endforeach
                    @endif
                </ul>
            </li>
        </ul>
    </div>
</nav>

<div style="background: #f60418; height: 120px; position: fixed; top: 0; width: 100%; z-index: 99;">
    <ul class="nav navbar-nav" style="margin-left: 20px; position: absolute; bottom: 0px;">
        @foreach ($itemsMenu as $itemMenu)
            <li class="dropdown">
                <a href="{{ $itemMenu->url }}" class="dropdown-toggle"
                    @if ($itemMenu->children->count() > 0) data-toggle="dropdown" role="button"
                        aria-haspopup="true" aria-expanded="false" @endif>
                    {{ $itemMenu->title }} @if ($itemMenu->children->count() > 0)
                        <span class="caret"></span>
                    @endif
                </a>
                @if ($itemMenu->children->count() > 0)
                    <ul class="dropdown-menu">
                        @foreach ($itemMenu->children as $submenu)
                            <li class="dropdown-submenu">
                                <a href="{{ $submenu->url }}" class="dropdown-toggle"
                                    @if ($submenu->children->count() > 0) data-toggle="dropdown" role="button"
                        aria-haspopup="true" aria-expanded="false" @endif>{{ $submenu->title }}
                                    @if ($submenu->children->count() > 0)
                                        <span class="caret"></span>
                                    @endif
                                </a>
                                @if ($submenu->children->count() > 0)
                                    <ul class="dropdown-menu">
                                        @foreach ($submenu->children as $subsubmenu)
                                            <li class="dropdown-submenu">
                                                <a href="{{ $subsubmenu->url }}" class="dropdown-toggle"
                                                    @if ($subsubmenu->children->count() > 0) data-toggle="dropdown" role="button"
                        aria-haspopup="true" aria-expanded="false" @endif>{{ $subsubmenu->title }}
                                                    @if ($subsubmenu->children->count() > 0)
                                                        <span class="caret"></span>
                                                    @endif
                                                </a>
                                                @if ($subsubmenu->children->count() > 0)
                                                    <ul class="dropdown-menu">
                                                        @foreach ($subsubmenu->children as $subsubsubmenu)
                                                            <li class="dropdown-submenu">
                                                                <a href="{{ $subsubsubmenu->url }}"
                                                                    class="dropdown-toggle"
                                                                    @if ($subsubsubmenu->children->count() > 0) data-toggle="dropdown" role="button"
                            aria-haspopup="true" aria-expanded="false" @endif>{{ $subsubsubmenu->title }}
                                                                    @if ($subsubsubmenu->children->count() > 0)
                                                                        <span class="caret"></span>
                                                                    @endif
                                                                </a>
                                                                @if ($subsubsubmenu->children->count() > 0)
                                                                    <ul class="dropdown-menu">
                                                                        @foreach ($subsubsubmenu->children as $subsubsubsubmenu)
                                                                            <li><a
                                                                                    href="{{ $subsubsubsubmenu->url }}">{{ $subsubsubsubmenu->title }}</a>
                                                                            </li>
                                                                        @endforeach
                                                                    </ul>
                                                                @endif
                                                            </li>
                                                        @endforeach
                                                    </ul>
                                                @endif
                                            </li>
                                        @endforeach
                                    </ul>
                                @endif
                            </li>
                        @endforeach
                    </ul>
                @endif
            </li>
        @endforeach
    </ul>
</div>

<style>
    /* Estilos generales para submenús */
    .dropdown-menu {
        display: none;
    }

    .dropdown:hover>.dropdown-menu,
    .dropdown-submenu:hover>.dropdown-menu,
    .dropdown-submenu:hover>.dropdown-menu>.dropdown-submenu:hover>.dropdown-menu,
    .dropdown-submenu:hover>.dropdown-menu>.dropdown-submenu>.dropdown-menu:hover>.dropdown-menu {
        display: block;
    }

    .dropdown-submenu {
        position: relative;
    }

    .dropdown-submenu>.dropdown-menu {
        top: 0;
        left: 100%;
        margin-top: -6px;
    }

    /* Ajustes específicos para niveles adicionales */
    .dropdown-menu .dropdown-menu .dropdown-menu {
        left: 100%;
        top: 0;
        margin-left: -1px;
    }

    .dropdown-menu .dropdown-menu .dropdown-menu .dropdown-menu {
        left: 100%;
        top: 0;
        margin-left: -1px;
    }

    /* Estilos de enlace */
    .nav.navbar-nav li a {
        color: #fff;
    }

    .nav.navbar-nav li a:hover {
        background: #ffffff58 !important;
    }

    /* Estilo del menú desplegable */
    .dropdown-menu {
        background: #f60418;
    }

    /* Estilo para el perfil */
    .dropdown.profile li a {
        color: #000000;
    }

    .caret {
        color: #fff !important;
    }
</style>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        var dropdowns = document.querySelectorAll('.dropdown-submenu a.dropdown-toggle');

        dropdowns.forEach(function(dropdown) {
            dropdown.addEventListener('touchstart', function(e) {
                var nextEl = this.nextElementSibling;
                if (nextEl && nextEl.classList.contains('dropdown-menu')) {
                    e.preventDefault();
                    if (nextEl.style.display === 'block') {
                        nextEl.style.display = 'none';
                    } else {
                        nextEl.style.display = 'block';
                    }
                }
            });
        });

        // Manejar submenús de niveles adicionales
        var submenus = document.querySelectorAll(
            '.dropdown-submenu .dropdown-menu .dropdown-submenu a.dropdown-toggle, .dropdown-submenu .dropdown-menu .dropdown-menu .dropdown-submenu a.dropdown-toggle'
        );

        submenus.forEach(function(submenu) {
            submenu.addEventListener('mouseenter', function() {
                var nextEl = this.nextElementSibling;
                if (nextEl && nextEl.classList.contains('dropdown-menu')) {
                    nextEl.style.display = 'block';
                }
            });
            submenu.addEventListener('mouseleave', function() {
                var nextEl = this.nextElementSibling;
                if (nextEl && nextEl.classList.contains('dropdown-menu')) {
                    nextEl.style.display = 'none';
                }
            });
        });
    });
</script>
