<style>
    .navbar-1 {
        position: fixed;
        top: 0;
        left: 0;
        z-index: 99999;
        width: 100%;
        height: 70px;
        background-color: #f1f1f1;
        padding: 20px 40px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
    }

    .navbar-1 .logo i {
        color: #0aa5ff;
        font-size: 22px;
    }

    .navbar-1 .logo a {
        font-size: 24px;
        font-weight: 700;
        color: white;
        margin-left: 12px;
    }

    .menu-1 {
        display: flex;
        align-items: center;
        gap: 32px;
    }

    .menu-links-1 {
        display: flex;
        gap: 24px;
        border-right: 1px solid #999999;
        padding-inline: 24px;
    }

    .menu-links-1 a {
        font-weight: 500;
        color: #999999;
        padding: 8px 16px;
    }

    .menu-links-1 a:hover {
        color: white;
    }

    .log-in {
        font-weight: 500;
        padding: 12px 22px;
        background-color: transparent;
        color: #999999;
        border-radius: 10px;
        border: 2px solid #0aa5ff;
        transition: 0.2s;
    }

    .log-in:hover {
        background-color: #0aa5ff;
        color: white;
    }

    .menu-btn-1 {
        font-size: 32px;
        color: white;
        display: none;
        cursor: pointer;
    }

    .profile-img {
        width: 100px;
        height: 100px;
        object-fit: cover;
    }

    @media (max-width: 53rem) {
        .menu-1 {
            display: none;
        }

        .menu-btn-1 {
            display: block;
        }
    }
</style>

<nav class="navbar-1">
    <div class="logo">
        <i class="fa-solid fa-font-awesome"></i>
        <a href="#">
            @if (Voyager::setting('site.logo') == '')
                <img src="{{ voyager_asset('images/logo-icon-light.png') }}" alt="Logo Icon">
            @else
                <img src="/storage/{{ Voyager::setting('site.logo') }}" alt="Logo Icon">
            @endif
        </a>
    </div>
    <div class="menu-1">
        <div class="menu-links-1">
            <a href="#">Home</a>
            <a href="#">About</a>
            <a href="#">Contact</a>
            <a href="#">Blog</a>
        </div>
    </div>
    <ul class="nav navbar-nav @if (__('voyager::generic.is_rtl') == 'true') navbar-left @else navbar-right @endif">
        <li class="dropdown profile">
            <a href="#" class="dropdown-toggle text-right" data-toggle="dropdown" role="button"
                aria-expanded="false"><img src="{{ $user_avatar }}" class="profile-img"> <span
                    class="caret"></span></a>
            <ul class="dropdown-menu dropdown-menu-animated">
                <li class="profile-img">
                    <img src="{{ $user_avatar }}" class="profile-img">
                    <div class="profile-body">
                        <h5>{{ Auth::user()->name }}</h5>
                        <h6>{{ Auth::user()->email }}</h6>
                    </div>
                </li>
                <li class="divider"></li>
                <?php $nav_items = config('voyager.dashboard.navbar_items'); ?>
                @if (is_array($nav_items) && !empty($nav_items))
                    @foreach ($nav_items as $name => $item)
                        <li {!! isset($item['classes']) && !empty($item['classes']) ? 'class="' . $item['classes'] . '"' : '' !!}>
                            @if (isset($item['route']) && $item['route'] == 'voyager.logout')
                                <form action="{{ route('voyager.logout') }}" method="POST">
                                    {{ csrf_field() }}
                                    <button type="submit" class="btn btn-danger btn-block">
                                        @if (isset($item['icon_class']) && !empty($item['icon_class']))
                                            <i class="{!! $item['icon_class'] !!}"></i>
                                        @endif
                                        {{ __($name) }}
                                    </button>
                                </form>
                            @else
                                <a href="{{ isset($item['route']) && Route::has($item['route']) ? route($item['route']) : (isset($item['route']) ? $item['route'] : '#') }}"
                                    {!! isset($item['target_blank']) && $item['target_blank'] ? 'target="_blank"' : '' !!}>
                                    @if (isset($item['icon_class']) && !empty($item['icon_class']))
                                        <i class="{!! $item['icon_class'] !!}"></i>
                                    @endif
                                    {{ __($name) }}
                                </a>
                            @endif
                        </li>
                    @endforeach
                @endif
            </ul>
        </li>
    </ul>
    <div class="menu-btn-1">
        <i class="fa-solid fa-bars"></i>
    </div>
</nav>
