@extends('voyager::master')

@section('page_title', 'Destacar productos')

@section('page_header')
    <h1 class="page-title">
        <i class="voyager-star"></i> Destacar productos
    </h1>
@stop

@section('content')
    <div class="page-content container-fluid">
        @include('voyager::alerts')
        <form action="/admin/highlight-products" method="POST">
            @csrf
            <div class="row">
                <div class="col-md-12">
                    <h4>Seleccione Productos para Destacar:</h4>
                    @foreach ($familias as $familia)
                        <div id="familia-{{ $familia->id }}">
                            <h5>{{ $familia->nombre }}</h5>
                            <ul class="list-group">
                                @foreach ($familia->categorias as $categoria)
                                    <li class="list-group-item">
                                        <strong>{{ $categoria->name }}</strong>
                                        <ul>
                                            @foreach ($categoria->products as $producto)
                                                <li>
                                                    <input type="checkbox" name="productos[]" value="{{ $producto->id }}">
                                                    {{ $producto->articulo }}
                                                </li>
                                            @endforeach
                                        </ul>
                                    </li>
                                @endforeach
                            </ul>
                        </div>
                    @endforeach
                </div>
            </div>
            <button type="submit" class="btn btn-primary mt-3">Destacar</button>
        </form>
    </div>
@stop

@section('javascript')
    <script>
        $(document).ready(function() {
            // Manejar los clicks en los checkboxes de familias y categorías si es necesario
        });
    </script>
@stop
