@php
    $dimmerGroups = Voyager::dimmers();
@endphp

{{-- @forelse($dimmerGroups as $dimmerGroup)
    @php
        $count = $dimmerGroup->count();
        $classes = [
            'col-xs-12',
            'col-sm-' . ($count >= 2 ? '6' : '12'),
            'col-md-' . ($count >= 3 ? '4' : ($count >= 2 ? '6' : '12')),
        ];
        $class = implode(' ', $classes);
        $prefix = "<div class='{$class}'>";
        $surfix = '</div>';
    @endphp
    @if ($dimmerGroup->any())
        <div class="clearfix container-fluid row">
            {!! $prefix . $dimmerGroup->setSeparator($surfix . $prefix)->display() . $surfix !!}
        </div>
    @endif

@empty
@endforelse --}}

<div class="container">

    <?php
    $pedidos = DB::table('pedidos')
        ->where('facturado', 1)
        ->select(DB::raw('DATE(created_at) as date'), DB::raw('SUM(total_con_descuento) as total'))
        ->groupBy('date')
        ->orderBy('date')
        ->get();
    ?>

    <h2>Ventas</h2>
    <canvas id="myChart" width="400" height="200"></canvas>

    <script>
        // Obtener los datos desde PHP
        var pedidos = <?php echo json_encode($pedidos); ?>;

        // Extraer las fechas y los totales
        var labels = pedidos.map(pedido => pedido.date);
        var data = pedidos.map(pedido => pedido.total);

        // Seleccionar el elemento canvas en el DOM
        var ctx = document.getElementById('myChart').getContext('2d');

        // Crear una nueva instancia de Chart
        var myChart = new Chart(ctx, {
            type: 'bar', // Tipo de gráfico
            data: {
                labels: labels, // Etiquetas del eje X (fechas)
                datasets: [{
                    label: 'Total Vendido',
                    data: data, // Datos del gráfico (totales vendidos)
                    backgroundColor: 'rgba(54, 162, 235, 0.2)',
                    borderColor: 'rgba(54, 162, 235, 1)',
                    borderWidth: 1 // Grosor del borde
                }]
            },
            options: {
                scales: {
                    y: {
                        beginAtZero: true // Comienza el eje Y en 0
                    }
                }
            }
        });
    </script>
</div>

{{-- <div class="clearfix container-fluid row">
    <div class="col-12 col-md-4">
        <div class="panel widget center bgimage" style="margin-bottom:0;overflow:hidden;background-image:url('');">
            <div class="dimmer"></div>
            <div class="panel-content">

                <h4>Usuarios</h4>
                <?php
                $cantUsuarios = DB::table('users')->count();
                ?>
                <p>Tiene {{ $cantUsuarios }} usuarios en su base de datos. Haga clic en el botón de abajo para ver todos
                    los usuarios.
                </p>
                <a href="/admin/users" class="btn btn-primary">Ver todos los usuarios</a>
            </div>
        </div>
    </div>

    <div class="col-12 col-md-4">
        <div class="panel widget center bgimage" style="margin-bottom:0;overflow:hidden;background-image:url('');">
            <div class="dimmer"></div>
            <div class="panel-content">

                <h4>Productos Publicados</h4>
                <?php
                $cantProductosPublicados = DB::table('products_excel')->where('publicado', 1)->count();
                ?>
                <p>Tiene {{ $cantProductosPublicados }} Productos Publicados en su base de datos. Haga clic en el botón
                    de abajo para ver todos los
                    Productos Publicados.</p>
                <a href="/admin/productos-publicados" class="btn btn-primary">Ver todos los Productos Publicados</a>
            </div>
        </div>
    </div>

    <div class="col-12 col-md-4">

        <div class="panel widget center bgimage" style="margin-bottom:0;overflow:hidden;background-image:url('');">
            <div class="dimmer"></div>
            <div class="panel-content">

                <h4>Productos no Publicados</h4>
                <?php
                $cantProductosNoPublicados = DB::table('products_excel')->where('publicado', 0)->count();
                ?>
                <p>Tiene {{ $cantProductosNoPublicados }} Productos no Publicados en su base de datos. Haga clic en el
                    botón de abajo para ver todos
                    los Productos no Publicados.</p>
                <a href="/admin/productos-no-publicados" class="btn btn-primary">Ver todos los Productos no
                    Publicados</a>
            </div>
        </div>
    </div>

    <div class="col-12 col-md-4">

        <div class="panel widget center bgimage" style="margin-bottom:0;overflow:hidden;background-image:url('');">
            <div class="dimmer"></div>
            <div class="panel-content">

                <h4>Carritos Activos</h4>
                <?php
                $cantCarritoActivos = DB::table('carts')->where('status', 'active')->count();
                ?>
                <p>Tiene {{ $cantCarritoActivos }} Carritos Activos en su base de datos. Haga clic en el botón de abajo
                    para ver todos los
                    Carritos Activos.</p>
                <a href="/admin/carritos-activos" class="btn btn-primary">Ver todos los Carritos Activos</a>
            </div>
        </div>
    </div>

    <div class="col-12 col-md-4">

        <div class="panel widget center bgimage" style="margin-bottom:0;overflow:hidden;background-image:url('');">
            <div class="dimmer"></div>
            <div class="panel-content">

                <h4>Cambios de precio</h4>
                <?php
                $cantCambiosPrecio = DB::table('price_change_operations')->count();
                ?>
                <p>Cambiaron de precio articulos {{ $cantCambiosPrecio }} veces</p>
                <div>
                    <a href="/admin/cambiar-precios" class="btn btn-primary">CAMBIAR PRECIOS</a>

                </div>
                <div>
                    <a href="/admin/historico-precios" class="btn btn-success">Ver Historial</a>
                </div>
            </div>
        </div>
    </div>

    <div class="col-12 col-md-4">

        <div class="panel widget center bgimage" style="margin-bottom:0;overflow:hidden;background-image:url('');">
            <div class="dimmer"></div>
            <div class="panel-content">

                <h4>Familias y Categorias</h4>
                <?php
                $cantFamilias = DB::table('familia')->count();
                $cantCategorias = DB::table('categories')->count();
                ?>
                <p>Tiene {{ $cantFamilias }} Familias de productos y {{ $cantCategorias }} categorías en su base de
                    datos</p>
                <a href="/admin/familias" class="btn btn-primary">Ver todas las Familias y Categorías</a>
            </div>
        </div>
    </div>

</div> --}}
