@extends('voyager::master')

@section('page_title', 'Mover categoria')

@section('page_header')
    <div class="d-flex" style="justify-content: space-between; align-items: center;">
        <h1 class="page-title">
            <i class="voyager-list"></i> Mover categoria {{ $category->name }} a otra familia
        </h1>
        <div>
            <?php
            $familia = DB::table('familia')
                ->where('id', $category->familia_id)
                ->first();
            ?>
            <h3>Familia actual: <span>{{ $familia->nombre }}</span></h3>
        </div>
    </div>
@stop

@section('content')
    <div class="page-content container-fluid">
        @include('voyager::alerts')
        <div class="row">
            <div class="col-md-12">

                @if (session('success'))
                    <div class="alert alert-success">
                        {{ session('success') }}
                    </div>
                @endif

                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                
                <form action="/admin/cambiar-categoria" method="POST">
                    @csrf
                    <input type="hidden" name="category_id" value="{{ $category->id }}">
                    <div class="form-group">
                        <label for="familia_id">Seleccione la nueva familia</label>
                        <select name="familia_id" id="familia_id" class="form-control">
                            @foreach ($families as $family)
                                <option value="{{ $family->id }}"
                                    {{ $category->familia_id == $family->id ? 'selected' : '' }}>{{ $family->nombre }}
                                </option>
                            @endforeach
                        </select>
                    </div>
                    <button type="submit" class="btn btn-primary">Mover Categoría</button>
                </form>
            </div>
        </div>
    </div>
@endsection
