@extends('voyager::master')

@section('page_title', $familia->exists ? 'Editar Familia' : 'Crear Nueva Familia')

@section('page_header')
    <h1 class="page-title">
        <i class="voyager-{{ $familia->exists ? 'edit' : 'plus' }}"></i>
        {{ $familia->exists ? 'Editar Familia' : 'Crear Nueva Familia' }}
    </h1>
@stop

@section('content')
    <div class="page-content container-fluid">
        @include('voyager::alerts')
        <form method="POST" action="/admin/familias/{{ $familia->id }}" enctype="multipart/form-data">
            @csrf
            @if ($familia->exists)
                @method('PUT')
            @endif
            <div class="form-group">
                <label for="nombre">Nombre</label>
                <input type="text" name="nombre" class="form-control" value="{{ $familia->nombre ?? '' }}" required>
            </div>
            {{-- <div class="form-group">
                <label for="slug">Slug</label>
                <input type="text" name="slug" class="form-control" value="{{ $familia->slug ?? '' }}" required>
            </div> --}}
            <div class="form-group">
                <label for="imagen">Imagen</label>
                <input type="file" name="imagen" class="form-control">
                @if ($familia->exists && $familia->imagen)
                    <img src="{{ Storage::url($familia->imagen) }}" alt="{{ $familia->nombre }}" class="img-responsive">
                @endif
            </div>
            <button type="submit" class="btn btn-primary">Guardar</button>
        </form>
    </div>
@stop
