@extends('voyager::master')

@section('page_title', 'Historial de Cambios de Precios')

@section('page_header')
    <h1 class="page-title">
        <i class="voyager-wallet"></i> Historial de Cambios de Precios
    </h1>
@stop

@section('content')
    <div class="page-content container-fluid">
        @include('voyager::alerts')
        <div class="row">
            <div class="col-md-12">
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <th>Identificador</th>
                            <th>Fecha</th>
                            <th>Categorías</th>
                            <th>Porcentaje</th>
                            <th>Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($operations as $operation)
                            <tr>
                                <td>{{ $operation->id }}</td>
                                <td>{{ $operation->created_at->format('d-m-Y') }}</td>
                                <td>
                                    <?php $categoriesArray = explode(',', $operation->categories); ?>
                                    @foreach ($categoriesArray as $category)
                                        <?php
                                        $categoria = DB::table('categories')->where('id', $category)->select('name')->first();
                                        $categoriaName = $categoria->name; // Access the "name" property
                                        ?>
                                        {{ $categoriaName }}
                                        @if (!$loop->last)
                                            ,</br>
                                        @endif
                                    @endforeach
                                </td>
                                <td>{{ $operation->percentage }}%</td>
                                <td>
                                    <a href={{ route('voyager.admin.price-change-details', $operation->id) }}
                                        class="btn btn-sm btn-primary">Ver Detalles</a>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
                {{ $operations->links() }}
            </div>
        </div>
    </div>
@stop
