@extends('voyager::master')

@section('page_title', 'Detalles del Cambio de Precio')

@section('page_header')
    <h1 class="page-title">
        <i class="voyager-wallet"></i> Detalles del Cambio de Precio
    </h1>
@stop

@section('content')
    <div class="page-content container-fluid">
        @include('voyager::alerts')
        <div class="row">
            <div class="col-md-12">
                <form action="{{ route('admin.revert-all-price-changes') }}" method="POST">
                    @csrf
                    <table class="table table-striped">
                        <thead>
                            <tr>
                                <th>
                                    <input type="checkbox" id="select-all">
                                </th>
                                <th>Código</th>
                                <th>Producto</th>
                                <th>Precio Antiguo 1</th>
                                <th>Precio Nuevo 1</th>
                                <th>Precio Antiguo 2</th>
                                <th>Precio Nuevo 2</th>
                                <th>Precio Antiguo 3</th>
                                <th>Precio Nuevo 3</th>
                                <th>Precio Antiguo 4</th>
                                <th>Precio Nuevo 4</th>
                                <th>Acciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($priceChanges as $change)
                                <tr>
                                    <td>
                                        <input type="checkbox" name="selectedChanges[]" value="{{ $change->id }}">
                                    </td>
                                    <?php
                                    $articulo = DB::table('products_excel')
                                        ->where('id', $change->product_id)
                                        ->select('articulo', 'codigo')
                                        ->first();
                                    $productName = $articulo->articulo;
                                    $codigoProducto = $articulo->codigo
                                    ?>
                                    <td>{{ $codigoProducto }}</td>
                                    <td>{{ $productName }}</td>
                                    <td>{{ $change->old_price_1 }}</td>
                                    <td>{{ $change->new_price_1 }}</td>
                                    <td>{{ $change->old_price_2 }}</td>
                                    <td>{{ $change->new_price_2 }}</td>
                                    <td>{{ $change->old_price_3 }}</td>
                                    <td>{{ $change->new_price_3 }}</td>
                                    <td>{{ $change->old_price_4 }}</td>
                                    <td>{{ $change->new_price_4 }}</td>
                                    <td>
                                        <form action="{{ route('admin.revert-price-change', $change->id) }}"
                                            method="POST">
                                            @csrf
                                            <button type="submit" class="btn btn-sm btn-danger">Revertir</button>
                                        </form>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                    <button type="submit" class="btn btn-danger">Revertir Selección</button>
                </form>
                {{ $priceChanges->links() }}
            </div>
        </div>
    </div>
@stop

@section('javascript')
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            // Obtener la casilla de verificación "Seleccionar Todos"
            const selectAllCheckbox = document.getElementById('select-all');
            // Obtener todas las casillas de verificación de cambios individuales
            const changeCheckboxes = document.querySelectorAll('input[name="selectedChanges[]"]');

            // Agregar un evento para cambiar el estado de las casillas de verificación de cambio individuales
            selectAllCheckbox.addEventListener('change', function() {
                changeCheckboxes.forEach(function(checkbox) {
                    checkbox.checked = selectAllCheckbox.checked;
                });
            });
        });
    </script>
@stop
