@extends('voyager::master')

@section('page_title', 'Importar archivos EXCEL')

@section('page_header')
    <div class="d-flex header-title">
        <img src="{{ voyager_asset('images/iconos/excel.webp') }}" alt="">
        <h1 class="page-title">
            Importar articulos
        </h1>
    </div>
@stop

@section('content')

    <div class="page-content container-fluid">
        @include('voyager::alerts')
        {{-- Botón de Exportación --}}
        <form method="GET" action="{{ route('excel.export-products') }}" style="margin-bottom: 15px;">
            <button type="submit" class="btn btn-success">Exportar Artículos a Excel</button>
        </form>
        <div class="row">
            <div class="col-md-12">

                {{-- Primer Formulario de Importación --}}
                <div class="panel panel-bordered">
                    <div class="panel-heading">
                        <h3 class="panel-title">Importar TODOS LOS ARTICULOS</h3>
                    </div>
                    <div class="panel-body">
                        @if (isset($errors) && $errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif

                        <form method="POST" action="{{ route('excel.import') }}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label for="import_file">Archivo Excel</label>
                                <input type="file" name="import_file" class="form-control">
                            </div>
                            <button type="submit" class="btn btn-primary">Importar</button>
                        </form>

                        @if (session('success'))
                            <div class="alert alert-success">
                                {{ session('success') }}
                            </div>
                        @endif

                        @if (session('error'))
                            <div class="alert alert-danger">
                                {{ session('error') }}
                            </div>
                        @endif
                    </div>
                </div>

                {{-- Segundo Formulario de Importación --}}
                <div class="panel panel-bordered">
                    <div class="panel-heading">
                        <h3 class="panel-title">Importar ARTICULOS PUBLICADOS</h3>
                    </div>
                    <div class="panel-body">
                        @if (isset($errors) && $errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif

                        <form method="POST" action="{{ route('excel.import-publicados') }}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label for="import_file">Archivo Excel</label>
                                <input type="file" name="import_file" class="form-control">
                            </div>
                            <button type="submit" class="btn btn-primary">Importar</button>
                        </form>

                        @if (session('success2'))
                            <div class="alert alert-success">
                                {{ session('success2') }}
                            </div>
                        @endif

                        @if (session('error2'))
                            <div class="alert alert-danger">
                                {{ session('error2') }}
                            </div>
                        @endif
                    </div>
                </div>

            </div>
        </div>
    </div>

@stop

@section('javascript')

    <script>
        // Puedes agregar cualquier JavaScript personalizado aquí si lo necesitas
    </script>

@stop
