<!DOCTYPE html>
<html lang="{{ config('app.locale') }}" dir="{{ __('voyager::generic.is_rtl') == 'true' ? 'rtl' : 'ltr' }}">

<head>
    <title>@yield('page_title', setting('admin.title') . ' - ' . setting('admin.description'))</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}" />
    <meta name="assets-path" content="{{ route('voyager.voyager_assets') }}" />

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,700" rel="stylesheet">

    <!-- Favicon -->
    <?php $admin_favicon = Voyager::setting('admin.icon_image', ''); ?>
    @if ($admin_favicon == '')
        <link rel="shortcut icon" href="{{ voyager_asset('images/logo-icon.png') }}" type="image/png">
    @else
        <link rel="shortcut icon" href="{{ Voyager::image($admin_favicon) }}" type="image/png">
    @endif



    <!-- App CSS -->
    <link rel="stylesheet" href="{{ voyager_asset('css/app.css') }}">
    <link rel="stylesheet" href="{{ voyager_asset('css/styles.css') }}">

    @yield('css')
    @if (__('voyager::generic.is_rtl') == 'true')
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-rtl/3.4.0/css/bootstrap-rtl.css">
        <link rel="stylesheet" href="{{ voyager_asset('css/rtl.css') }}">
    @endif

    <link rel="preconnect" href="https://fonts.bunny.net">
    <link href="https://fonts.bunny.net/css?family=figtree:400,500,600&display=swap" rel="stylesheet" />

    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>

    <!-- Few Dynamic Styles -->
    <style type="text/css">
        body {
            font-family: 'Figtree', sans-serif !important;
            background-color: #f1f1f1 !important;
        }

        .app-container{
            background: #f1f1f1 !important;
        }

        h1,
        h2,
        h3,
        h4,
        h5,
        h6,
        p,
        span,
        ul,
        li,
        label
        {
            font-family: 'Figtree', sans-serif !important;
            opacity: 1;
            color: #1a1a1a !important;
            font-size: 1rem;
        }

        .alert p{
            color: #fff !important;
        }

        .panel-content h4, .panel-content p{
            color: #fff !important;
        }

        .btn{
            border-radius: 10px !important;
        }

        .btn span{
            font-family: 'Figtree', sans-serif !important;
            opacity: 1;
            color: #fff !important;
            font-size: 1.2rem !important;
        }


        .voyager .side-menu .navbar-header {
            background: #f60418
                /*{{ config('voyager.primary_color', '#f60418') }}*/
            ;
            border-color: #f60418
                /*{{ config('voyager.primary_color', '#f60418') }}*/
            ;
        }

        .widget .btn-primary {
            border-color: #f60418
                /*{{ config('voyager.primary_color', '#f60418') }}*/
            ;
        }

        .widget .btn-primary:focus,
        .widget .btn-primary:hover,
        .widget .btn-primary:active,
        .widget .btn-primary.active,
        .widget .btn-primary:active:focus {
            background: #f60418
                /*{{ config('voyager.primary_color', '#f60418') }}*/
            ;
        }

        .voyager .breadcrumb a {
            color: #f60418
                /*{{ config('voyager.primary_color', '#f60418') }}*/
            ;
        }

        .btn.btn-primary {
            background: #f60418
                /*{{ config('voyager.primary_color', '#f60418') }}*/
            ;
        }

        .app-container .content-container .side-body {
            margin: 0px !important;
        }

        .container-fluid {
            background: #f1f1f1;
        }

        .table-responsive .btn{
            scale: 0.8;
        }

        .table-responsive .btn span{
            display: hidden;
        }

        .d-flex{
            display: flex;
        }

        .justify-center{
            justify-content: center;
        }

        .justify-between{
            justify-content: space-between;
        }

        .items-center{
            align-items: center;
        }
    </style>

    @if (!empty(config('voyager.additional_css')))<!-- Additional CSS -->
        @foreach (config('voyager.additional_css') as $css)
            <link rel="stylesheet" type="text/css" href="{{ asset($css) }}">
        @endforeach
    @endif

    @yield('head')
    @stack('component-styles')

    <style>
        a {
            text-decoration: none;
        }

        button {
            border: 0;
            outline: none;
            font-family: inherit;
            font-size: inherit;
            cursor: pointer;
        }

        .dropdown-menu>.dropdown-submenu>a:after {
            display: none;
        }

        .navbar {
            padding-left: 20px;
        }

        .navbar.navbar-default.navbar-fixed-top.navbar-top {
            height: 70px;
            background: #f1f1f1;
            box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
        }

        .navbar.navbar-default.navbar-fixed-top.navbar-top .navbar-header {
            display: flex;
            align-items: center;
            margin-top: 8px;
        }

        .navb {
            display: flex;
            margin-bottom: 0px !important;
        }

        .navbar .navbar-nav>li>a {
            list-style: none;
            margin: 0px;
            margin-bottom: 0px !important;
            color: #000;
            font-size: 16px;
            font-weight: bold;
            font-family: 'Figtree', sans-serif !important;
            padding: 0px 15px;
        }

        .navbar .navbar-nav>li>a {
            font-family: 'Figtree', sans-serif !important;
        }

        .voyager .navbar .navbar-nav>li,
        .voyager .navbar.navbar-default .navbar-nav>li {
            border-left: 0px;
        }

        .app-container .content-container .side-body.padding-top {
            padding-top: 20px;
        }

        .dropdown-submenu {
            position: relative;
        }

        .dropdown-submenu>.dropdown-menu {
            top: 0;
            left: 100%;
            margin-top: -6px;
            margin-left: -1px;
            border-radius: 0 6px 6px 6px;
        }

        .dropdown-submenu:hover>.dropdown-menu {
            display: block;
        }

        .dropdown-submenu>a:after {
            display: block;
            content: " ";
            float: right;
            width: 0;
            height: 0;
            border-color: transparent;
            border-style: solid;
            border-width: 5px 0 5px 5px;
            border-left-color: #cccccc;
            margin-top: 5px;
            margin-right: -10px;
        }

        .dropdown-submenu:hover>a:after {
            border-left-color: #555;
        }

        .dropdown-menu>li>a:hover:after {
            border-left-color: #fff;
        }

        .voyager .navbar .navbar-nav .dropdown-menu,
        .voyager .navbar.navbar-default .navbar-nav .dropdown-menu {
            border-radius: 10px;
        }

        .voyager .navbar .navbar-nav>li.open>a,
        .voyager .navbar.navbar-default .navbar-nav>li.open>a {
            color: #000 !important;
            text-decoration: underline 2px #f60418;
        }

        .navbar-nav li:hover {
            color: #000 !important;
            text-decoration: underline 2px #f60418;
        }

        .voyager .navbar .navbar-nav>li:hover>a,
        .voyager .navbar.navbar-default .navbar-nav>li:hover>a {
            color: #000 !important;
            text-decoration: underline 2px #f60418;
        }

        /* Asegúrate de que los submenús estén ocultos por defecto */
        .dropdown-menu,
        .dropdown-submenu .dropdown-menu {
            display: none;
        }

        /* Muestra el submenú cuando el elemento padre es "hovered" */
        .navbar-nav>li:hover>.dropdown-menu {
            display: block;
        }

        /* Para submenús dentro de submenús */
        .dropdown-submenu:hover>.dropdown-menu {
            display: block;
            left: 100%;
            top: 0;
            margin-top: -1px;
        }

        .dropdown-submenu {
            position: relative;
        }

        .dropdown-submenu .dropdown-menu {
            top: 0;
            left: 100%;
            margin-top: -1px;
        }

        .header-title{
            display: flex;
            gap: 8px;
            align-items: center;
        }

        .header-title h1{
            padding-left: 0px !important
        }

        .header-title img{
            width: 30px;
            height: 30px;
        }
        
        .info-mod p{
            color: #1d1d1d !important;
        }
    </style>
</head>

<body class="voyager @if (isset($dataType) && isset($dataType->slug)) {{ $dataType->slug }} @endif">

    {{-- <div id="voyager-loader">
    <?php $admin_loader_img = Voyager::setting('admin.loader', ''); ?>
    @if ($admin_loader_img == '')
        <img src="{{ voyager_asset('images/spinner.jpg') }}" alt="Voyager Loader">
    @else
        <img src="{{ Voyager::image($admin_loader_img) }}" alt="Voyager Loader">
    @endif
</div> --}}

    <?php
    if (\Illuminate\Support\Str::startsWith(Auth::user()->avatar, 'http://') || \Illuminate\Support\Str::startsWith(Auth::user()->avatar, 'https://')) {
        $user_avatar = Auth::user()->avatar;
    } else {
        $user_avatar = Voyager::image(Auth::user()->avatar);
    }
    ?>
    
    <div class="app-container">
        <div class="fadetoblack visible-xs"></div>
        <div class="row content-container">
            @include('voyager::dashboard.navbar')
            {{-- @include('voyager::dashboard.sidebar') --}}
            {{-- @include('voyager::dashboard.navbarTop') --}}
            {{-- @include('voyager::dashboard.navbarBootstrap') --}}
            <script>
                (function() {
                    var appContainer = document.querySelector('.app-container'),
                        sidebar = appContainer.querySelector('.side-menu'),
                        navbar = appContainer.querySelector('nav.navbar.navbar-top'),
                        loader = document.getElementById('voyager-loader'),
                        hamburgerMenu = document.querySelector('.hamburger'),
                        sidebarTransition = sidebar.style.transition,
                        navbarTransition = navbar.style.transition,
                        containerTransition = appContainer.style.transition;

                    sidebar.style.WebkitTransition = sidebar.style.MozTransition = sidebar.style.transition =
                        appContainer.style.WebkitTransition = appContainer.style.MozTransition = appContainer.style.transition =
                        navbar.style.WebkitTransition = navbar.style.MozTransition = navbar.style.transition = 'none';

                    if (window.innerWidth > 768 && window.localStorage && window.localStorage['voyager.stickySidebar'] ==
                        'true') {
                        appContainer.className += ' expanded no-animation';
                        loader.style.left = (sidebar.clientWidth / 2) + 'px';
                        hamburgerMenu.className += ' is-active no-animation';
                    }

                    navbar.style.WebkitTransition = navbar.style.MozTransition = navbar.style.transition = navbarTransition;
                    sidebar.style.WebkitTransition = sidebar.style.MozTransition = sidebar.style.transition = sidebarTransition;
                    appContainer.style.WebkitTransition = appContainer.style.MozTransition = appContainer.style.transition =
                        containerTransition;
                })();
            </script>
            <!-- Main Content -->
            <div style="width: 100%; height: 100px; background: #f60418;"></div>
            <div class="container-fluid">
                <div class="side-body padding-top">
                    @yield('page_header')
                    <div id="voyager-notifications"></div>
                    @yield('content')
                </div>
            </div>
        </div>
    </div>
    @include('voyager::partials.app-footer')

    <!-- Javascript Libs -->


    <script type="text/javascript" src="{{ voyager_asset('js/app.js') }}"></script>

    <script>
        @if (Session::has('alerts'))
            let alerts = {!! json_encode(Session::get('alerts')) !!};
            helpers.displayAlerts(alerts, toastr);
        @endif

        @if (Session::has('message'))

            // TODO: change Controllers to use AlertsMessages trait... then remove this
            var alertType = {!! json_encode(Session::get('alert-type', 'info')) !!};
            var alertMessage = {!! json_encode(Session::get('message')) !!};
            var alerter = toastr[alertType];

            if (alerter) {
                alerter(alertMessage);
            } else {
                toastr.error("toastr alert-type " + alertType + " is unknown");
            }
        @endif
    </script>
    @include('voyager::media.manager')
    @yield('javascript')
    @stack('javascript')
    @if (!empty(config('voyager.additional_js')))<!-- Additional Javascript -->
        @foreach (config('voyager.additional_js') as $js)
            <script type="text/javascript" src="{{ asset($js) }}"></script>
        @endforeach
    @endif
    @stack('component-scripts')
</body>

</html>
