@extends('voyager::master')

@section('page_title', 'Pedidos Abiertos')

@section('page_header')
    <div class="d-flex justify-between items-center">
        <div class="d-flex header-title">
            <img src="{{voyager_asset('images/iconos/pedido-abiertos.webp')}}" alt="">
            <h1 class="page-title">
                Pedidos abiertos
            </h1>
        </div>
    </div>
@stop

@section('content')
    <div class="page-content container-fluid">
        @include('voyager::alerts')
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-bordered">
                    <div class="panel-body">
                        <form action="/admin/pedidos-abiertos" method="GET" class="form-inline" style="margin-bottom: 15px;">
                            <div class="form-group">
                                <input type="text" name="search" class="form-control" placeholder="Buscar por usuario" value="{{ request('search') }}">
                            </div>
                            <button type="submit" class="btn btn-primary">Buscar</button>
                        </form>
                        <div class="table-responsive">
                            <table id="dataTable" class="table table-hover">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Vendedor</th>
                                        <th>Cliente</th>
                                        <th>Items</th>
                                        <th>Total</th>
                                        <th>Acciones</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($carts as $cart)
                                        <tr>
                                            <td>{{ $cart->id }}</td>
                                            <td>
                                                <?php
                                                    $vendedor = DB::table('users')
                                                        ->where('id', $cart->vendedor_id)
                                                        ->first();

                                                    $vendedorName = 'Sin vendedor';
                                                    if($cart->vendedor_id){
                                                        $vendedorName = $vendedor->name;
                                                    }
                                                ?>
                                                {{ $vendedorName }}
                                            </td>
                                            <td>
                                                {{ $cart->user->name ? $cart->user->name : $cart->user->fantasia_name }}
                                            </td>
                                            <td>{{ count($cart->products) }}</td>
                                            <td>
                                                <?php 
                                                    $total = 0;
                                                    foreach ($cart->products as $product) {
                                                        $total += ($product->pivot->precio * $product->pivot->quantity);
                                                    }
                                                ?>
                                                $ {{ number_format($total, 2, ',', '.') }}
                                            </td>
                                            <td>
                                                <a href="/admin/pedidos-abiertos/{{ $cart->id }}/details">
                                                    <img src="{{ voyager_asset('images/iconos/libreta.webp') }}" alt="">
                                                </a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                            {{ $carts->appends(request()->input())->links() }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop
