@extends('voyager::master')

@section('page_title', 'Pedidos Abiertos')

@section('page_header')
    <div class="d-flex justify-between items-center">
        <div class="d-flex header-title">
            <img src="{{voyager_asset('images/iconos/pedido-abiertos.webp')}}" alt="">
            <h1 class="page-title">
                Pedido {{ $cart->id }}
            </h1>
        </div>
        <div class="btn-group">
            <a href="/admin/pedidos-abiertos" class="btn btn-warning btn-add-new">
                <i class="voyager-double-left"></i>
                <span>Volver atras</span>
            </a>
        </div>
    </div>
@stop

@section('content')
    <div class="page-content container-fluid">
        @include('voyager::alerts')
        <div class="row">
            <div class="col-md-11">
                <div class="panel panel-bordered" style="padding: 20px;">
                    <h2>Datos del usuario:</h2>
                    <div>
                        <div class="d-flex justify-between" style="border-bottom: 1px solid #eff0f2;">
                            <?php
                            $vendedor = DB::table('users')
                                ->where('id', $cart->vendedor_id)
                                ->first();
                            
                            $vendedorName = 'Sin vendedor';
                            if ($cart->vendedor_id) {
                                $vendedorName = $vendedor->name;
                            }
                            ?>

                            <h2>Vendedor: {{ $vendedorName }}</h2>
                            <p></p>
                        </div>
                        <div class="d-flex justify-between" style="border-bottom: 1px solid #eff0f2;">
                            <h2>Cliente: {{ $cart->user->name ? $cart->user->name : $cart->user->fantasia_name }}</h2>
                            <p></p>
                        </div>
                        <div class="d-flex justify-between" style="border-bottom: 1px solid #eff0f2;">
                            <h2>CUIT: {{ $cart->user->numero_doc_cuit }}</h2>
                            <p></p>
                        </div>
                        <div class="d-flex justify-between" style="border-bottom: 1px solid #eff0f2;">
                            <h2>Contacto: {{ $cart->user->telefono }}</h2>
                            <p></p>
                        </div>
                        <div class="d-flex justify-between">
                            <h2>Cond. IVA: {{ $cart->user->cond_frente_iva }}</h2>
                            <p></p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-11">
                <div class="panel panel-bordered">
                    <div class="table-responsive">
                        <table id="dataTable" class="table table-hover">
                            <thead>
                                <tr>
                                    <th>Código</th>
                                    <th>Descripción</th>
                                    <th>Fecha ultima modificación</th>
                                    <th>Cantidad</th>
                                    <th>Precio Unitario</th>
                                    <th>Subtotal</th>
                                </tr>
                            </thead>

                            <tbody>
                                @foreach ($cart->products as $product)
                                    <tr>
                                        <td>
                                            <a href="/admin/product/{{ $product->id }}" target="_blank">
                                                {{ $product->codigo }}
                                            </a>
                                        </td>
                                        <td>{{ $product->desc_fiscal }}</td>
                                        <td>{{ $product->updated_at->format('d/m/Y') }}</td>

                                        <td>{{ $product->pivot->quantity }}</td>
                                        <td>$ {{ number_format($product->pivot->precio, 2, ',', '.') }}</td>
                                        <td>$
                                            {{ number_format($product->pivot->precio * $product->pivot->quantity, 2, ',', '.') }}
                                        </td>
                                    </tr>
                                @endforeach
                                <?php
                                $total = 0;
                                foreach ($cart->products as $product) {
                                    $total += $product->pivot->precio * $product->pivot->quantity;
                                }
                                ?>
                                <tr style="background: #e8f2ff;">
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>
                                        <p style="font-size: 16px;">Total: $ <span>{{ number_format($total, 2, ',', '.') }}</span></p>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
