@extends('voyager::master')

@section('page_title', 'Stock')

@section('page_header')
    <div class="d-flex justify-between items-center" style="margin: 0px 20px;">
        <div class="d-flex header-title">
            <img src="{{voyager_asset('images/iconos/caja.webp')}}" alt="">
            <h1 class="page-title">
                Stock
            </h1>
        </div>
        <div class="btn-group"
            style="display: flex; justify-content: center; gap: 5px; align-items: center; margin-right: 130px;">
            <div class="dropdown">
                <button class="btn btn-primary dropdown-toggle" style="margin: 0px !important;" type="button"
                    data-bs-toggle="dropdown" aria-expanded="false">
                    Acciones disponibles
                </button>
                <ul class="dropdown-menu" style="margin: 0px !important; background: #fff !important">
                    <li>
                        <a class="dropdown-item" href="/admin/products-excel/create"
                            style="display: flex; justify-content: start; align-items: center; gap: 5px;">
                            <img src="{{voyager_asset('images/iconos/mas.webp')}}" alt="">
                            Agregar producto
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" href="/admin/combos"
                            style="display: flex; justify-content: start; align-items: center; gap: 5px;">
                            <img src="{{voyager_asset('images/iconos/agregar_combo.webp')}}" alt="">
                            Combos
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" href="/admin/importacion"
                            style="display: flex; justify-content: start; align-items: center; gap: 5px;">
                            <img src="{{voyager_asset('images/iconos/subir.webp')}}" alt="">
                            Subir productos Masivamente
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" href="/admin/ingreso-mercaderia"
                            style="display: flex; justify-content: start; align-items: center; gap: 5px;">
                            <img src="{{voyager_asset('images/iconos/ingreso_mercaderia.webp')}}" alt="">
                            Ingreso de mercaderia
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" href="/admin/cambiar-precios"
                            style="display: flex; justify-content: start; align-items: center; gap: 5px;">
                            <img src="{{voyager_asset('images/iconos/lista_precio.webp')}}" alt="">
                            Actualización rapida de precios
                        </a>
                    </li>
                    {{-- <li><a class="dropdown-item" href="#">Agregar archivos</a></li> --}}
                </ul>
            </div>
        </div>
    </div>
@stop

@section('content')
    <div class="page-content container-fluid">
        @include('voyager::alerts')
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-bordered">
                    <div class="panel-body">
                        <form action="/admin/stock-articulos" method="GET" class="form-inline"
                            style="margin-bottom: 15px;">
                            <div class="form-group">
                                <input type="text" name="search" class="form-control" placeholder="Buscar..."
                                    value="{{ $search }}">
                            </div>
                            <div class="form-group">
                                <select name="published" class="form-control">
                                    <option value="">Todos</option>
                                    <option value="1" {{ request('published') == '1' ? 'selected' : '' }}>Publicados
                                    </option>
                                    <option value="0" {{ request('published') == '0' ? 'selected' : '' }}>No publicados
                                    </option>
                                </select>
                            </div>
                            <div class="form-group">
                                <select name="price_list" id="price_list" class="form-control">
                                    <option value="lista_precios_1" {{ request('price_list') == 'lista_precios_1' ? 'selected' : '' }}>Lista Precio 1</option>
                                    <option value="lista_precios_2" {{ request('price_list') == 'lista_precios_2' ? 'selected' : '' }}>Lista Precio 2</option>
                                    <option value="lista_precios_3" {{ request('price_list') == 'lista_precios_3' ? 'selected' : '' }}>Lista Precio 3</option>
                                    <option value="lista_precios_4" {{ request('price_list') == 'lista_precios_4' ? 'selected' : '' }}>Lista Precio 4</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <select name="family" id="family" class="form-control">
                                    <option value="">Seleccionar Familia</option>
                                    @foreach ($families as $family)
                                        <option value="{{ $family->id }}"
                                            {{ request('family') == $family->id ? 'selected' : '' }}>{{ $family->nombre }}
                                        </option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group">
                                <select name="category" id="category" class="form-control"
                                    {{ request('family') ? '' : 'disabled' }}>
                                    <option value="">Seleccionar Categoría</option>
                                    @if (request('family'))
                                        @foreach ($categories as $category)
                                            <option value="{{ $category->id }}"
                                                {{ request('category') == $category->id ? 'selected' : '' }}>
                                                {{ $category->name }}</option>
                                        @endforeach
                                    @endif
                                </select>
                            </div>
                            <button type="submit" class="btn btn-primary">Buscar</button>
                        </form>
                        <div class="table-responsive">
                            <table id="dataTable" class="table table-hover">
                                <thead>
                                    <tr>
                                        <th>Código</th>
                                        <th>Artículo</th>
                                        <th>Familia</th>
                                        <th>Categoría</th>
                                        <th>Stock Actual</th>
                                        <th>Publicado</th>
                                        <th>Lista precio</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($products as $product)
                                        <tr>
                                            <td>
                                                <a href="/admin/product/{{ $product->id }}">
                                                    {{ $product->codigo }}
                                                </a>
                                            </td>
                                            <td>{{ $product->articulo }}</td>
                                            <td>
                                                <?php
                                                $familia = DB::table('familia')
                                                    ->where('id', $product->familia)
                                                    ->first();
                                                $familiaNombre = $familia ? $familia->nombre : '';
                                                ?>
                                                {{ $familiaNombre }}
                                            </td>
                                            <td>
                                                <?php
                                                $categoria = DB::table('categories')
                                                    ->where('id', $product->categoria)
                                                    ->first();
                                                $categoriaNombre = $categoria ? $categoria->name : '';
                                                ?>
                                                {{ $categoriaNombre }}
                                            </td>
                                            <td>{{ $product->stock_actual }}</td>
                                            <td>{{ $product->publicado ? 'Publicado' : 'No Publicado' }}</td>
                                            {{-- <td class="no-sort no-click bread-actions">
                                                @can('edit', $product)
                                                    <a href="/admin/products/{{ $product->id }}/edit-stock"
                                                        title="{{ __('voyager::generic.edit') }}"
                                                        class="btn btn-sm btn-primary pull-right edit">
                                                        <i class="voyager-edit"></i> <span
                                                            class="hidden-xs hidden-sm">Editar stock</span>
                                                    </a>
                                                @endcan
                                            </td> --}}
                                            <td>$ {{ number_format($product->{request('price_list', 'lista_precios_1')}, 2, ',', '.') }}</td>

                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                        <div class="pull-left">
                            <div role="status" class="show-res" aria-live="polite">
                                {{ trans_choice('voyager::generic.showing_entries', $products->total(), ['from' => $products->firstItem(), 'to' => $products->lastItem(), 'all' => $products->total()]) }}
                            </div>
                        </div>
                        <div class="pull-right">
                            {{ $products->appends(['search' => $search, 'published' => request('published'), 'family' => request('family'), 'category' => request('category')])->links('vendor.pagination.bootstrap-4') }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    {{-- Single delete modal --}}
    <div class="modal modal-danger fade" tabindex="-1" id="delete_modal" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                        aria-label="{{ __('voyager::generic.close') }}"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title"><i class="voyager-trash"></i> {{ __('voyager::generic.delete_question') }}
                        {{ strtolower('producto') }}?</h4>
                </div>
                <div class="modal-footer">
                    <form action="#" id="delete_form" method="POST">
                        {{ method_field('DELETE') }}
                        {{ csrf_field() }}
                        <input type="submit" class="btn btn-danger pull-right delete-confirm"
                            value="{{ __('voyager::generic.delete_confirm') }}">
                    </form>
                    <button type="button" class="btn btn-default pull-right"
                        data-dismiss="modal">{{ __('voyager::generic.cancel') }}</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->
@stop

@section('javascript')
    <script>
        var deleteFormAction;
        $('td').on('click', '.delete', function(e) {
            $('#delete_form')[0].action = '/admin/stock-articulos/' + $(this).data('id');
            $('#delete_modal').modal('show');
        });

        // Populate categories based on selected family
        $('#family').change(function() {
            var familyId = $(this).val();
            if (familyId) {
                $('#category').removeAttr('disabled');
                $.ajax({
                    url: '/admin/families/' + familyId + '/categories',
                    method: 'GET',
                    success: function(data) {
                        $('#category').empty().append(
                        '<option value="">Seleccionar Categoría</option>');
                        data.forEach(function(category) {
                            $('#category').append('<option value="' + category.id + '">' +
                                category.name + '</option>');
                        });
                    }
                });
            } else {
                $('#category').attr('disabled', 'disabled').empty().append(
                    '<option value="">Seleccionar Categoría</option>');
            }
        });
    </script>
@stop
