@extends('voyager::master')

@section('page_title', 'Producto')

@section('page_header')
    <div class="d-flex justify-between items-center" style="margin: 0px 20px;">
        <div class="d-flex header-title">
            <img src="../../../assets/img/iconos/caja.webp" alt="">
            <h1 class="page-title">
                Articulo: [{{ $product->codigo }}] - {{ $product->articulo }}
            </h1>
        </div>
        <div class="btn-group"
            style="display: flex; justify-content: center; gap: 5px; align-items: center; margin-right: 30px;">
            <a href="/admin/stock-articulos" class="btn btn-warning btn-add-new">
                <i class="voyager-double-left"></i>
                <span>Volver atras</span>
            </a>
            <div class="dropdown">
                <button class="btn btn-primary dropdown-toggle" style="margin: 0px !important;" type="button"
                    data-bs-toggle="dropdown" aria-expanded="false">
                    Acciones disponibles
                </button>
                <ul class="dropdown-menu" style="margin: 0px !important; background: #fff !important">
                    <li>
                        <a class="dropdown-item" href="/admin/product/{{ $product->id }}/edit"
                            style="display: flex; justify-content: start; align-items: center; gap: 5px;">
                            <img src="../../../assets/img/iconos/editar.webp" alt="">
                            Editar
                        </a>
                    </li>
                    <li><a class="dropdown-item" href="#">Agregar archivos</a></li>
                </ul>
            </div>
        </div>
    </div>
@stop

@section('content')
    <div class="page-content container-fluid">
        @include('voyager::alerts')
        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}
            </div>
        @endif
        @if (session('error'))
            <div class="alert alert-danger">
                {{ session('error') }}
            </div>
        @endif
        <div class="row">
            <div class="col-md-12">
                <ul class="nav nav-tabs" id="productTabs" role="tablist">
                    <li class="nav-item active">
                        <a class="nav-link active" id="general-tab" data-toggle="tab" href="#general" role="tab"
                            aria-controls="general" aria-selected="true">General</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="empaque-tab" data-toggle="tab" href="#empaque" role="tab"
                            aria-controls="empaque" aria-selected="false">Lista de precios</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="inventario-tab" data-toggle="tab" href="#inventario" role="tab"
                            aria-controls="inventario" aria-selected="false">Inventario</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="tienda-tab" data-toggle="tab" href="#tienda" role="tab"
                            aria-controls="tienda" aria-selected="false">Tienda</a>
                    </li>
                    <!-- Agrega más pestañas según sea necesario -->
                </ul>
                <div class="tab-content" id="productTabsContent">
                    <div class="tab-pane fade active in" id="general" role="tabpanel" aria-labelledby="general-tab">
                        <!-- Contenido de la pestaña General -->
                        <div class="card mt-3" style="width: 70%;">
                            <div class="card-body">
                                <h5 class="card-title" style="border-bottom: 1px solid #ccc;">General</h5>
                                <div style="margin-left: 50px;">
                                    <p class="card-text" style="border-bottom: 1px solid #ccc;">Tipo: Bienes</p>

                                    <?php
                                    $familia = DB::table('familia')
                                        ->where('id', $product->familia)
                                        ->first();
                                    ?>

                                    <p class="card-text" style="border-bottom: 1px solid #ccc;">Familia:
                                        {{ $familia->nombre }}</p>

                                    <?php
                                    $categoria = DB::table('categories')
                                        ->where('id', $product->categoria)
                                        ->first();
                                    ?>

                                    <p class="card-text" style="border-bottom: 1px solid #ccc;">Categoría:
                                        {{ $categoria->name }}</p>

                                    <p class="card-text" style="border-bottom: 1px solid #ccc;">Marca:
                                        Creaciones Tries</p>
                                        
                                    <p class="card-text" style="border-bottom: 1px solid #ccc;">Código:
                                        {{ $product->codigo }}</p>
                                    <p class="card-text">Descripción: {{ $product->desc_fiscal }}</p>
                                </div>
                                <!-- Más detalles generales -->
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="empaque" role="tabpanel" aria-labelledby="empaque-tab">
                        <!-- Contenido de la pestaña Empaque -->
                        <div class="card mt-3" style="width: 70%;">
                            <div class="card-body">
                                <h5 class="card-title">Listas de precios</h5>
                                <div class="table-responsive">
                                    <table id="dataTable" class="table table-hover">
                                        <thead>
                                            <tr>
                                                <th>Lista</th>
                                                <th>Precio Neto</th>
                                                <th>Markup</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>Lista 1</td>
                                                <td>$ {{ number_format($product->lista_precios_1, 2, ',', '.') }}</td>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <td>Lista 2</td>
                                                <td>$ {{ number_format($product->lista_precios_2, 2, ',', '.') }}</td>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <td>Lista 3</td>
                                                <td>$ {{ number_format($product->lista_precios_3, 2, ',', '.') }}</td>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <td>Lista 4</td>
                                                <td>$ {{ number_format($product->lista_precios_4, 2, ',', '.') }}</td>
                                                <td></td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="inventario" role="tabpanel" aria-labelledby="inventario-tab">
                        <!-- Contenido de la pestaña Inventario -->
                        <div class="card mt-3" style="width: 70%;">
                            <div class="card-body">
                                <h5 class="card-title">Inventario</h5>
                                <div class="d-flex items-center" style="gap: 10px;">
                                    <p>Stock: <span>{{ $product->stock_actual }}</span></p>
                                    <a href="/admin/products/{{ $product->id }}/edit-stock"
                                        class="btn btn-sm btn-primary pull-right edit">
                                        Editar
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="costos" role="tabpanel" aria-labelledby="costos-tab">
                        <!-- Contenido de la pestaña Costos -->
                        <div class="card mt-3">
                            <div class="card-body">
                                <h5 class="card-title">Costos</h5>
                                <!-- Detalles de costos -->
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="tienda" role="tabpanel" aria-labelledby="tienda-tab">
                        <!-- Contenido de la pestaña Costos -->
                        <div class="card mt-3" style="width: 70%;">
                            <div class="card-body">
                                <h5 class="card-title">Tienda</h5>
                                @if ($product->publicado == 0)
                                    <div class="alert alert-warning" role="alert">
                                        Producto no publicado
                                    </div>
                                @endif
                                @if ($product->publicado == 1)
                                    <div class="alert alert-success" role="alert">
                                        Producto publicado
                                    </div>
                                @endif
                            </div>
                        </div>
                    </div>
                    <!-- Agrega más contenido de pestañas según sea necesario -->
                </div>
            </div>
            <div class="col-md-12" style="width: 70%;">
                <div class="alert alert-info info-mod" role="alert" style="background: #d2e3ff;">
                    <div style="display: flex; gap: 30px; align-items: center;">
                        <div
                            style="display: flex; gap: 20px; align-items: center; padding-right: 20px; border-right: 1px solid #1d1d1d;">
                            <div style="display: flex; align-items: center; gap: 5px; ">
                                <img src="{{voyager_asset('images/iconos/user1.webp')}}" alt="" style="width: 40px; height: 40px;">
                                <div>
                                    <div>
                                        <p>Creado por: </p>
                                    </div>
                                    <div>
                                        <p>Implementador</p>
                                    </div>
                                </div>
                            </div>
                            <div>
                                <div>
                                    <p>2024-08-01 21:43:33</p>
                                </div>
                                <div>
                                    <p>desde ip: 186.122.89.253</p>
                                </div>
                            </div>
                        </div>
                        @if ($productModification)
                            <?php
                            $user = DB::table('users')
                                ->where('id', $productModification->id)
                                ->first();
                            ?>
                            <div style="display: flex; gap: 20px; align-items: center;">
                                <div style="display: flex; align-items: center; gap: 5px;">
                                    <img src="{{voyager_asset('images/iconos/user_edit.webp')}}" alt="" style="width: 40px; height: 40px;">
                                    <div>
                                        <div>
                                            <p>Ultima modificación por: </p>
                                        </div>
                                        <div>
                                            <p>{{ $user->name }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div>
                                    <div>
                                        <p>{{ $productModification->created_at }}</p>
                                    </div>
                                    <div>
                                        <p>desde ip: {{ $productModification->ip_address }}</p>
                                    </div>
                                </div>
                            </div>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
