@extends('voyager::master')

@section('page_title', 'Ingreso de mercaderia')

@section('page_header')
    <div class="d-flex header-title">
        <img src="{{voyager_asset('images/iconos/caja_flecha.webp')}}" alt="">
        <h1 class="page-title">
            Ingreso de mercaderia
        </h1>
    </div>
@stop

@section('content')
    <div class="container">
        <h1>Ingreso de Mercadería</h1>

        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}
            </div>
        @endif

        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif

        <form action="/admin/ingreso-mercaderia" method="POST">
            @csrf

            <table class="table">
                <thead>
                    <tr>
                        <th>Cantidad</th>
                        <th>Código</th>
                        <th>Eliminar</th>
                    </tr>
                </thead>
                <tbody id="productos-table-body">
                    <tr>
                        <td><input type="number" name="productos[0][cantidad]" class="form-control" required></td>
                        <td><input type="text" name="productos[0][codigo]" class="form-control" required></td>
                        <td><button type="button" class="btn btn-danger remove-row">Eliminar</button></td>
                    </tr>
                </tbody>
            </table>

            <button type="button" class="btn btn-primary" id="add-row">Agregar Fila</button>
            <button type="submit" class="btn btn-success">Confirmar</button>
        </form>
    </div>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            let rowIndex = 1;
            const addRowButton = document.getElementById('add-row');
            const tableBody = document.getElementById('productos-table-body');

            addRowButton.addEventListener('click', function() {
                const newRow = document.createElement('tr');
                newRow.innerHTML = `
                    <td><input type="number" name="productos[${rowIndex}][cantidad]" class="form-control" required></td>
                    <td><input type="text" name="productos[${rowIndex}][codigo]" class="form-control" required></td>
                    <td><button type="button" class="btn btn-danger remove-row">Eliminar</button></td>
                `;
                tableBody.appendChild(newRow);
                rowIndex++;
            });

            tableBody.addEventListener('click', function(event) {
                if (event.target.classList.contains('remove-row')) {
                    event.target.closest('tr').remove();
                }
            });
        });
    </script>
@endsection
