@extends('voyager::master')

@section('page_title', __('voyager::generic.' . (isset($dataTypeContent->id) ? 'edit' : 'add')) . ' ' .
    $dataType->getTranslatedAttribute('display_name_singular'))

@section('css')
    <meta name="csrf-token" content="{{ csrf_token() }}">
@stop

@section('page_header')
    <div class="d-flex header-title">
        <img src="../../assets/img/iconos/user_edit.webp" alt="">
        <h1 class="page-title">
            Editando usuario
        </h1>
    </div>
@stop

@section('content')
    <div class="page-content container-fluid">
        <form class="form-edit-add" role="form"
            action="@if (!is_null($dataTypeContent->getKey())) {{ route('voyager.' . $dataType->slug . '.update', $dataTypeContent->getKey()) }}@else{{ route('voyager.' . $dataType->slug . '.store') }} @endif"
            method="POST" enctype="multipart/form-data" autocomplete="off">
            <!-- PUT Method if we are editing -->
            @if (isset($dataTypeContent->id))
                {{ method_field('PUT') }}
            @endif
            {{ csrf_field() }}

            <div class="row">
                <div class="col-md-8">
                    <div class="panel panel-bordered">
                        {{-- <div class="panel"> --}}
                        @if (count($errors) > 0)
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif

                        <div class="panel-body">
                            <div class="form-group">
                                <label for="name">{{ __('voyager::generic.name') }}</label>
                                <input type="text" class="form-control" id="name" name="name"
                                    placeholder="{{ __('voyager::generic.name') }}"
                                    value="{{ old('name', $dataTypeContent->name ?? '') }}">
                            </div>

                            <div class="form-group">
                                <label for="email">{{ __('voyager::generic.email') }}</label>
                                <input type="email" class="form-control" id="email" name="email"
                                    placeholder="{{ __('voyager::generic.email') }}"
                                    value="{{ old('email', $dataTypeContent->email ?? '') }}">
                            </div>

                            <div class="form-group">
                                <label for="telefono">Telefono</label>
                                <input type="telefono" class="form-control" id="telefono" name="telefono"
                                    placeholder="Telefono"
                                    value="{{ old('telefono', $dataTypeContent->telefono ?? '') }}">
                            </div>

                            <div class="form-group">
                                <label for="cliente">Cliente</label>
                                <input type="cliente" class="form-control" id="cliente" name="cliente"
                                    placeholder="cliente"
                                    value="{{ old('cliente', $dataTypeContent->cliente ?? '') }}">
                            </div>

                            <div class="form-group">
                                <label for="fantasia_name">Nombre de fantasia</label>
                                <input type="fantasia_name" class="form-control" id="fantasia_name" name="fantasia_name"
                                    placeholder="Nombre de fantasia"
                                    value="{{ old('fantasia_name', $dataTypeContent->fantasia_name ?? '') }}">
                            </div>

                            <div class="form-group">
                                <label for="password">{{ __('voyager::generic.password') }}</label>
                                @if (isset($dataTypeContent->password))
                                    <br>
                                    <small>{{ __('voyager::profile.password_hint') }}</small>
                                @endif
                                <input type="password" class="form-control" id="password" name="password" value=""
                                    autocomplete="new-password">
                            </div>

                            <?php
                            $user = Auth::user();
                            ?>

                            @if ($user->role_id === 1)
                                @can('editRoles', $dataTypeContent)
                                    <div class="form-group">
                                        <label for="default_role">{{ __('voyager::profile.role_default') }}</label>
                                        @php
                                            $dataTypeRows =
                                                $dataType->{isset($dataTypeContent->id) ? 'editRows' : 'addRows'};

                                            $row = $dataTypeRows
                                                ->where('field', 'user_belongsto_role_relationship')
                                                ->first();
                                            $options = $row->details;
                                        @endphp
                                        @include('voyager::formfields.relationship')
                                    </div>
                                    <div class="form-group">
                                        <label for="additional_roles">{{ __('voyager::profile.roles_additional') }}</label>
                                        @php
                                            $row = $dataTypeRows
                                                ->where('field', 'user_belongstomany_role_relationship')
                                                ->first();
                                            $options = $row->details;
                                        @endphp
                                        @include('voyager::formfields.relationship')
                                    </div>
                                @endcan
                            @endif
                            @php
                                if (isset($dataTypeContent->locale)) {
                                    $selected_locale = $dataTypeContent->locale;
                                } else {
                                    $selected_locale = config('app.locale', 'en');
                                }

                            @endphp
                            {{-- <div class="form-group">
                                <label for="locale">{{ __('voyager::generic.locale') }}</label>
                                <select class="form-control select2" id="locale" name="locale">
                                    @foreach (Voyager::getLocales() as $locale)
                                    <option value="{{ $locale }}"
                                    {{ ($locale == $selected_locale ? 'selected' : '') }}>{{ $locale }}</option>
                                    @endforeach
                                </select>
                            </div> --}}
                        </div>
                    </div>
                </div>

                {{-- <div class="col-md-4">
                    <div class="panel panel panel-bordered panel-warning">
                        <div class="panel-body">
                            <div class="form-group">
                                @if (isset($dataTypeContent->avatar))
                                    <img src="{{ filter_var($dataTypeContent->avatar, FILTER_VALIDATE_URL) ? $dataTypeContent->avatar : Voyager::image($dataTypeContent->avatar) }}"
                                        style="width:200px; height:auto; clear:both; display:block; padding:2px; border:1px solid #ddd; margin-bottom:10px;" />
                                @endif
                                <input type="file" data-name="avatar" name="avatar">
                            </div>
                        </div>
                    </div>
                </div> --}}
            </div>

            <div style="display: flex;">
                <button type="submit" class="btn btn-primary pull-right save">
                    {{ __('voyager::generic.save') }}
                </button>
            </div>
        </form>
        <div style="display:none">
            <input type="hidden" id="upload_url" value="{{ route('voyager.upload') }}">
            <input type="hidden" id="upload_type_slug" value="{{ $dataType->slug }}">
        </div>
    </div>
@stop

@section('javascript')
    <script>
        $('document').ready(function() {
            $('.toggleswitch').bootstrapToggle();
        });
    </script>
@stop
