@extends('voyager::master')

@section('page_title', 'Viendo usuario')

@section('page_header')
    <div style="display: flex; align-items: center;">
        <div class="d-flex header-title">
            <img src="{{ voyager_asset('images/iconos/user.webp') }}" alt="">
            <h1 class="page-title">
                Usuario: [{{$dataTypeContent->id}}] - {{$dataTypeContent->name}}
            </h1>
        </div>
    </div>
    @include('voyager::multilingual.language-selector')
@stop

@section('content')
    <div class="page-content read container-fluid">
        @if (session('message'))
            <div class="alert alert-success">
                {{ session('message') }}
            </div>
        @endif
        <div class="col-md-10">
            <div class="row">
                <div class="col-md-8">
                    <div class="panel panel-bordered" style="padding: 20px;">
                        <div style="display: flex; justify-content: space-between; align-items: center;">
                            <h2>Datos del usuario:</h2>
                            <div>
                                @can('edit', $dataTypeContent)
                                    <a href="{{ route('voyager.' . $dataType->slug . '.edit', $dataTypeContent->getKey()) }}"
                                        class="btn btn-info">
                                        <i class="glyphicon glyphicon-pencil"></i> <span
                                            class="hidden-xs hidden-sm">{{ __('voyager::generic.edit') }}</span>
                                    </a>
                                @endcan
                                @can('delete', $dataTypeContent)
                                    @if ($isSoftDeleted)
                                        <a href="{{ route('voyager.' . $dataType->slug . '.restore', $dataTypeContent->getKey()) }}"
                                            title="{{ __('voyager::generic.restore') }}" class="btn btn-default restore"
                                            data-id="{{ $dataTypeContent->getKey() }}"
                                            id="restore-{{ $dataTypeContent->getKey() }}">
                                            <i class="voyager-trash"></i> <span
                                                class="hidden-xs hidden-sm">{{ __('voyager::generic.restore') }}</span>
                                        </a>
                                    @else
                                        <a href="javascript:;" title="{{ __('voyager::generic.delete') }}"
                                            class="btn btn-danger delete" data-id="{{ $dataTypeContent->getKey() }}"
                                            id="delete-{{ $dataTypeContent->getKey() }}">
                                            <i class="voyager-trash"></i> <span
                                                class="hidden-xs hidden-sm">{{ __('voyager::generic.delete') }}</span>
                                        </a>
                                    @endif
                                @endcan
                            </div>
                        </div>
                        <div>
                            <div class="d-flex justify-between" style="border-bottom: 1px solid #eff0f2;">
                                <h2>Estado: {{ $dataTypeContent->status }}</h2>
                                <p></p>
                            </div>
                            <div class="d-flex justify-between" style="border-bottom: 1px solid #eff0f2;">
                                <h2>Apellido y nombre: {{ $dataTypeContent->name }}</h2>
                                <p></p>
                            </div>
                            <div class="d-flex justify-between" style="border-bottom: 1px solid #eff0f2;">
                                <h2>Teléfono: {{ $dataTypeContent->telefono }}</h2>
                                <p></p>
                            </div>
                            <div class="d-flex justify-between" style="border-bottom: 1px solid #eff0f2;">
                                <h2>Cliente:</h2>
                                <p></p>
                            </div>
                            <div class="d-flex justify-between" style="border-bottom: 1px solid #eff0f2;">
                                <h2>Email: {{ $dataTypeContent->email }}</h2>
                                <p></p>
                            </div>
                            <div class="d-flex justify-between" style="border-bottom: 1px solid #eff0f2;">
                                <?php
                                $rolId = $dataTypeContent->role_id;
                                $rol = '';
                                if ($rolId == 1) {
                                    $rol = 'Administrador';
                                } elseif ($rolId == 2) {
                                    $rol = 'Comprador';
                                } elseif ($rolId == 3) {
                                    $rol = 'Vendedor';
                                } else {
                                    $rol = 'Cliente';
                                }
                                ?>
                                <h2>Tipo de acceso: {{ $rol }}</h2>
                                <p></p>
                            </div>
                            <div class="d-flex justify-between">
                                <h2>Nombre de fantasía: {{ $dataTypeContent->fantasia_name }}</h2>
                                <p></p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="panel panel-bordered" style="padding: 20px;">
                        <a href="/admin/users/{{ $dataTypeContent->id }}/update-password">
                            <div style="display: flex; gap: 10px; align-items: center;">
                                <img src="{{ voyager_asset('images/iconos/editar.webp') }}" alt="">
                                <p style="margin: 0px;">Modificar contraseña</p>
                            </div>
                        </a>
                    </div>
                    @if ($dataTypeContent->status == 1)
                        <div class="panel panel-bordered" style="padding: 20px;">
                            <a href="javascript:;" data-toggle="modal" data-target="#disable_modal">
                                <div style="display: flex; gap: 10px; align-items: center;">
                                    <img src="{{ voyager_asset('images/iconos/user_deshab.webp') }}" alt="">
                                    <p style="margin: 0px;">Deshabilitar usuario</p>
                                </div>
                            </a>
                        </div>
                    @else
                        <div class="panel panel-bordered" style="padding: 20px;">
                            <a href="javascript:;" data-toggle="modal" data-target="#enable_modal">
                                <div style="display: flex; gap: 10px; align-items: center;">
                                    <img src="" alt="">
                                    <p style="margin: 0px;">Habilitar usuario</p>
                                </div>
                            </a>
                        </div>
                    @endif
                </div>
            </div>
        </div>
    </div>

    {{-- Single delete modal --}}
    <div class="modal modal-danger fade" tabindex="-1" id="delete_modal" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                        aria-label="{{ __('voyager::generic.close') }}"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title"><i class="voyager-trash"></i> {{ __('voyager::generic.delete_question') }}
                        {{ strtolower($dataType->getTranslatedAttribute('display_name_singular')) }}?</h4>
                </div>
                <div class="modal-footer">
                    <form action="{{ route('voyager.' . $dataType->slug . '.index') }}" id="delete_form" method="POST">
                        {{ method_field('DELETE') }}
                        {{ csrf_field() }}
                        <input type="submit" class="btn btn-danger pull-right delete-confirm"
                            value="{{ __('voyager::generic.delete_confirm') }} {{ strtolower($dataType->getTranslatedAttribute('display_name_singular')) }}">
                    </form>
                    <button type="button" class="btn btn-default pull-right"
                        data-dismiss="modal">{{ __('voyager::generic.cancel') }}</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

    {{-- Disable user modal --}}
    <div class="modal fade" id="disable_modal" tabindex="-1" role="dialog" aria-labelledby="disableModalLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="disableModalLabel">Confirmar Deshabilitar Usuario</h4>
                </div>
                <div class="modal-body">
                    ¿Estás seguro de que deseas deshabilitar a este usuario?
                </div>
                <div class="modal-footer">
                    <form action="/admin/users/{{ $dataTypeContent->id }}/disable" method="POST">
                        {{ csrf_field() }}
                        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                        <button type="submit" class="btn btn-danger">Deshabilitar</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    {{-- Enable user modal --}}
    <div class="modal fade" id="enable_modal" tabindex="-1" role="dialog" aria-labelledby="enableModalLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="enableModalLabel">Confirmar Habilitar Usuario</h4>
                </div>
                <div class="modal-body">
                    ¿Estás seguro de que deseas habilitar a este usuario?
                </div>
                <div class="modal-footer">
                    <form action="/admin/users/{{ $dataTypeContent->id }}/enable" method="POST">
                        {{ csrf_field() }}
                        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                        <button type="submit" class="btn btn-success">Habilitar</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
@stop

@section('javascript')
    <script>
        $(document).ready(function() {
            $('.delete').on('click', function() {
                var form = $('#delete_form')[0];
                form.action = '{{ route('voyager.' . $dataType->slug . '.destroy', '__id') }}'.replace(
                    '__id', $(this).data('id'));
                $('#delete_modal').modal('show');
            });
        });
    </script>
@stop
